# Northward range expansion and limitations in the Giant Swallowtail Butterfly  


[![Binder](http://mybinder.org/badge.svg)](https://mybinder.org/v2/gh/keatonwilson/swallowtail_northward_compendium/master?urlpath=rstudio)  

[![Build Status](https://travis-ci.com/keatonwilson/swallowtail_northward_compendium.svg?branch=master)  

- Authors: J. Keaton Wilson, Nicolas Casajus, Dominique Berteaux, Rebecca Hutchison, Greg A. Breed, Kent P. McFarland, Maxim Larivée, Kathleen L. Prudic  

## Contents  

- [:file_folder: Output](/output): Figures and Reports for the manuscript. Incldues codes to reproduce figures generated by the analysis.   
- [:file_folder: Data](/data): Raw data and models used in subsequent analyses.  
- [:file_folder: R](/R): Reuseable functions that were used throughout the analysis.  
- [:file_folder: Analysis](/analysis): Scripts for analysis, both pre- and post-data acquisition, as data were gathered from multiple repositories (inat, gbif). 

## Reproducibility  

This repository is organized as a reproducible research compendium. 
Click the ![Binder](http://mybinder.org/badge.svg) button above to explore in an interactive RStudio session. Binder uses [rocker-project.org](https://rocker-project.org) Docker images to ensure a consistent and reproducible computational environment.  These Docker images can also be used locally.  

To explore the code locally, clone or download this repository into RStudio or your perferred environment and install the compendium by running `devtools::install()`.  To install additional dependencies used only in formatting the figures, use `devtools::install(dep=TRUE)`.  


This compendium is checked by Travis-CI continuous integration.  Click the ![Build Status](https://travis-ci.org/cboettig/noise-phenomena.svg?branch=master) button above for details.
